System Requirements

We are dedicated to providing you an accessible website that is viewable in the various technologies you use. Please review our system requirements to ensure your devices meet these requirements.

Accessibility & System Requirements

First Interstate Bank is dedicated to providing an accessible website. Our goal is to ensure that our website maintains and continues to be W3C compliant. This is to ensure that our website is viewable in the various technology methods available today. All pages within this website have been tested and validated against the W3C validation service. Compliant pages have been stamped at the bottom of the page to ensure our site is viewable by our customers.

Browser Support

Our front facing website is supported on just about any standard compliant browser on any device. To maintain security, we always encourage you to run the latest version of your operating system and browser.

The following is a list that has been tested and are known to be compliant. Please note that other browsers may produce unexpected results.

While our website is viewable on a variety of technology devices and platforms, products like Online Banking do have specific system requirements to ensure compatibility and the highest level of security.

Plugins and Scripting

Our website has been optimized and can function completely without the installation of any browser plugins. However, there are a variety of technology and forms that do require additional support. To ensure support make sure your browser has the following:

JavaScript Must be Enabled

JavaScript must be enabled in your browser for our website to function corrrectly. Not to be confused with the Java Plugin, JavaScript is a scripting language widely used for client-side web development.

Learn how to enable JavaScript in your browser:

Certain browser add-ons can also limit JavaScript. If you are experiencing some problems or compatibility issues with our website, please disable these add-ons to ensure functionality.

Adobe Acrobat Reader

In order to view some of the forms and documents on this website, you will need to ensure you have the Adobe® Acrobat Reader installed on your machine. For security, we encourage you to ensure you are always running the latest version.

Contact Form

Online Contact Form

Customer Service